<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
?>
<?php
	if (!defined("IGNX")) { die("Attempt..."); }

// recoge el array
$todos_paises_nom = todosPAISES();

// contar las repeticiones
$todos_paises_contar = array_count_values($todos_paises_nom);

// ordenar por alfabetico en minusculas
$matriz_minusculas_paises = array_map('strtolower', $todos_paises_nom);
array_multisort($matriz_minusculas_paises, SORT_ASC, SORT_STRING, $todos_paises_nom);

// quitar las repetidas
$todos_paises_unicos = array_keys(array_flip($todos_paises_nom));


$todos_paises_buscar = "";

// si nube de etiquetas
if (CONFIG_29 == 1)
{

	for ($c=0; $c < count($todos_paises_unicos); $c++)
	{		
		if ($todos_paises_contar[$todos_paises_unicos[$c]] >= CONFIG_40)
		{
		
			$todos_paises_buscar .= '<a href="'.RUTA_INICIO.'len'.IGUAL.IDIOMA_ACTUAL.AMPER.'bus'.IGUAL.codificar_buscador($todos_paises_unicos[$c]).TPL_SUFIJO_URL.AMPER.'tip'.IGUAL.'3" class="etiquetas_menu">';
			
			if ($todos_paises_contar[$todos_paises_unicos[$c]] < 2)
			{
				$fuente = 2;
			
			} else if ($todos_paises_contar[$todos_paises_unicos[$c]] > 5) {
		
				$fuente = 5;	
			
			} else {
		
				$fuente = $todos_paises_contar[$todos_paises_unicos[$c]];
		
			}
			
			$todos_paises_buscar .= '<font size="'.$fuente.'">'.$todos_paises_unicos[$c].'</font> ';
			$todos_paises_buscar .= '</a>';
		
		}
				
	}
	
} else if (CONFIG_29 == 0) {

	for ($c=0; $c < count($todos_paises_unicos); $c++)
	{		
		if ($todos_paises_contar[$todos_paises_unicos[$c]] >= CONFIG_40)
		{
		
			$todos_paises_buscar .= '<a href="'.RUTA_INICIO.'len'.IGUAL.IDIOMA_ACTUAL.AMPER.'bus'.IGUAL.codificar_buscador($todos_paises_unicos[$c]).TPL_SUFIJO_URL.AMPER.'tip'.IGUAL.'3" class="etiquetas_menu">';
			$todos_paises_buscar .= $todos_paises_unicos[$c].'('.$todos_paises_contar[$todos_paises_unicos[$c]].') ';
			$todos_paises_buscar .= '</a>';
		
		}
				
	}

}


$tpl_salida_todas_tags_3 = $todos_paises_buscar;

	if ($tpl_salida_todas_tags_3 != "")
	{

		// Smarty
		$smarty->assign("salida_menu_tags_3", $tpl_salida_todas_tags_3);
		
	
	}


?>
